Subject: Re: Parallel Port Programming
From: [email-masked] ("Richard J. Auletta")

8 Apr 1997 13:33:14 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (AI Base)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "AI Base" at Apr 8, 97 10:46:44 am
X-Mailer: ELM [version 2.4 PL25]
Original-Sender: [email-masked]

> You have to write a vxd (virtual device driver) for this.
> I recently just wrote a vxd to allow a debugger to
> talk to a target board via parallel port on NT for
> a consulting work. I was considering packaging it up
> as a library objects for commercial sales (when I have
> the time :-).

I think somehow I have confused people. I just wanted to write data
out the port and read it back in. I wrote a little GCC program
with fopen and fwrite and I can copy files to my printer using the
C program compiled with gcc.....

> involved in talking to parallel port on NT. For those interested
> in writing parallel port driver, check out my web
> site in 2 weeks or so and I will post a html document on
> what they are.

I guess for those of us that just want to send data there and not manipulate
the interface an fopen on LPT1 and a fwrite will work....I have the code
to read - but don't have a test device that will respond to
a read (the code currently blocks on the read and the PP is EPP/ECP). I
am hoping the standard NT driver will handle the reads for me.

I regret the confusion.

-Rich Auletta

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".